%define name	MySQL-python
%define version 1.2.0
%define release 1mdk

Summary:	Python interface to MySQL
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://prdownloads.sourceforge.net/mysql-python/%{name}-%{version}.tar.bz2
License:	GPL
Group:		Development/Python
Provides:	python-mysql
URL:		http://sourceforge.net/projects/mysql-python/
BuildRequires:	python-devel
BuildRequires:	MySQL-devel
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Python interface to MySQL-3.2 and beyond

MySQLdb is an interface to the popular MySQL database server for Python.
The design goals are:

-     Compliance with Python database API version 2.0 
-     Thread-safety 
-     Thread-friendliness (threads will not block each other) 
-     Compatibility with MySQL-3.23 and later

This module should be mostly compatible with an older interface
written by Joe Skinner and others. However, the older version is
a) not thread-friendly, b) written for MySQL 3.21, c) apparently
not actively maintained. No code from that version is used in
MySQLdb. MySQLdb is free software.

%prep

%setup -q

%build
env CFLAGS="%{optflags}" python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README doc/*

%changelog
* Tue May 17 2005 Frederic Lepied <flepied@mandriva.com> 1.2.0-1mdk
- New release 1.2.0

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.9.2-5mdk
- Rebuild for new python

* Mon May 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.2-4mdk
- added P0 (from fedora)
- misc spec file fixes

* Mon Apr 05 2004 Michael Scherer <misc@mandrake.org> 0.9.2-3mdk 
- remove invalid Tags
- provides python-mysql

* Mon Sep 08 2003 Sebastien Robin <seb@nexedi.com> 0.9.2-2mdk
- Update spec in order to follows Mandrake Rules

